org.keycloak.authorization.policy.evaluation

## Class DecisionPermissionCollector

- java.lang.Object
- - org.keycloak.authorization.policy.evaluation.AbstractDecisionCollector
  - - org.keycloak.authorization.policy.evaluation.DecisionPermissionCollector

- All Implemented Interfaces:
    Decision<DefaultEvaluation>
  Direct Known Subclasses:
    PermissionTicketAwareDecisionResultCollector, PolicyEvaluationService.EvaluationDecisionCollector

      public class DecisionPermissionCollector
      extends AbstractDecisionCollector

  Author:
    Pedro Igor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.authorization.Decision

      `Decision.Effect`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.authorization.policy.evaluation.AbstractDecisionCollector

      `results`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionPermissionCollector(AuthorizationProvider authorizationProvider, ResourceServer resourceServer, AuthorizationRequest request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `grantPermission(AuthorizationProvider authorizationProvider, List<Permission> permissions, ResourcePermission permission, Collection<Scope> grantedScopes, ResourceServer resourceServer, AuthorizationRequest request, Result result)`
    `void` | `onComplete(Result result)`
    `void` | `onError(Throwable cause)`
    `protected void` | `onGrant(Permission permission)`
    `Collection<Permission>` | `results()`

    - ### Methods inherited from class org.keycloak.authorization.policy.evaluation.AbstractDecisionCollector

      `isGranted, onComplete, onComplete, onComplete, onDecision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecisionPermissionCollector

          public DecisionPermissionCollector(AuthorizationProvider authorizationProvider,
                                             ResourceServer resourceServer,
                                             AuthorizationRequest request)

  - ### Method Detail

    - #### onComplete

          public void onComplete(Result result)

      Overrides:
        `onComplete` in class `AbstractDecisionCollector`

    - #### results

          public Collection<Permission> results()

    - #### onError

          public void onError(Throwable cause)

    - #### grantPermission

          protected void grantPermission(AuthorizationProvider authorizationProvider,
                                         List<Permission> permissions,
                                         ResourcePermission permission,
                                         Collection<Scope> grantedScopes,
                                         ResourceServer resourceServer,
                                         AuthorizationRequest request,
                                         Result result)

    - #### onGrant

          protected void onGrant(Permission permission)

Copyright © 2021 JBoss by Red Hat. All rights reserved.